Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 68173

Summary: qmail-start crashes when trying to start up qmail, because of a problem with Itaniums and spawn.c
Product: Gentoo Linux Reporter: Ryan Bebeau <csbebeau-keyword-gentoo.9f0090>
Component: New packagesAssignee: Net-Mail Packages <net-mail>
Status: VERIFIED FIXED    
Severity: normal CC: ia64
Priority: High    
Version: unspecified   
Hardware: IA64   
OS: Linux   
URL: http://www.ornl.gov/lists/mailing-lists/qmail/2003/06/msg00338.html
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 29485    
Attachments: Trivial #include "alloc.h" patch

Description Ryan Bebeau 2004-10-19 09:31:53 UTC
I emerged qmail-1.03-r15 just fine, but after configuring and attempting to run /var/qmail/supervise/qmail-send/run I get:

koalabear qmail-send # ./run 
status: local 0/10 remote 0/20
alert: oh no! lost spawn connection! dying...
alert: oh no! lost spawn connection! dying...
status: exiting

I found someone else who was having the same issues.  The URL above shows the exact same problem I was having.  Basically because of some type promotion issues, illustrated here:

http://h21007.www2.hp.com/dspp/tech/tech_TechSingleTipDetailPage_IDX/1,2366,195,00.html

qmail-send will crash.  The solution is to add the #include "alloc.h" into spawn.c.  I added that and now qmail-start runs happily.

I can attach straces or other info if needed.

Reproducible: Always
Steps to Reproduce:
1. emerge qmail-1.03-r15
2. configure qmail
3. run /var/qmail/supervise/qmail-send/run

Actual Results:  
status: local 0/10 remote 0/20
alert: oh no! lost spawn connection! dying...
alert: oh no! lost spawn connection! dying...
status: exiting

Expected Results:  
status: local 0/10 remote 0/20

and not crash

koalabear qmail-send # emerge info
Portage 2.0.51_rc7 (default-ia64-1.4, gcc-3.3.2, glibc-2.3.2-r12,
2.6.8-gentoo-r3 ia64)
=================================================================
System uname: 2.6.8-gentoo-r3 ia64 
Gentoo Base System version 1.4.16
Autoconf: sys-devel/autoconf-2.59-r4
Automake: sys-devel/automake-1.8.5-r1
Binutils: sys-devel/binutils-2.14.90.0.7-r4
Headers:  sys-kernel/linux-headers-2.4.19
Libtools: sys-devel/libtool-1.5.2-r5
ACCEPT_KEYWORDS="ia64"
AUTOCLEAN="yes"
CFLAGS="-O2 -pipe"
CHOST="ia64-unknown-linux-gnu"
COMPILER=""
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3/share/config
/usr/share/config /var/qmail/alias /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs ccache distlocks sandbox"
GENTOO_MIRRORS="http://gentoo.osuosl.org
http://distro.ibiblio.org/pub/Linux/distributions/gentoo"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://loki.abuse-att.net/gentoo-portage"
USE="berkdb bitmap-fonts crypt foomaticdb ia64 innodb libg++ libwww maildir
mikmod ncurses nocardbus pam perl pg-vacuumdelay pic pie postgres python
readline samba slang spell ssl tcpd xml2 xprint zlib"
Comment 1 Ryan Bebeau 2004-10-19 09:37:19 UTC
Created attachment 42185 [details, diff]
Trivial #include "alloc.h" patch
Comment 2 Ryan Bebeau 2004-11-03 10:58:09 UTC
Anybody want to touch this one?
Comment 3 Tuan Van (RETIRED) gentoo-dev 2004-11-03 12:04:13 UTC
let ia64 port it.
Comment 4 Ryan Bebeau 2004-11-10 06:44:43 UTC
Can someone port this please?
Comment 5 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2004-12-10 01:38:21 UTC
I didn't even know about this until now...
Comment 6 Michael Hanselmann (hansmi) (RETIRED) gentoo-dev 2005-01-03 11:54:09 UTC
Fixed in qmail-1.03-r15 and -r16 (the later hardmasked).
Comment 7 Michael Hanselmann (hansmi) (RETIRED) gentoo-dev 2005-06-12 10:39:11 UTC
Closing.